clang 10.0.0git

Functions
ThreadSafetyTIL.cpp File Reference
`#include "clang/Analysis/Analyses/ThreadSafetyTIL.h"`
`#include "clang/Basic/LLVM.h"`
`#include "llvm/Support/Casting.h"`
`#include <cassert>`
`#include <cstddef>`
Include dependency graph for ThreadSafetyTIL.cpp:

Go to the source code of this file.

## Functions
static void | computeNodeSize (BasicBlock *B, BasicBlock::TopologyNode BasicBlock::*TN)
static void | computeNodeID (BasicBlock *B, BasicBlock::TopologyNode BasicBlock::*TN)

## Function Documentation

## ◆ computeNodeID()

static void computeNodeID | ( | BasicBlock * | B,
|  | BasicBlock::TopologyNode BasicBlock::* | TN
| ) |  |
| inline static

Definition at line 277 of file ThreadSafetyTIL.cpp.

References clang::threadSafety::til::BasicBlock::TopologyNode::NodeID, P, and clang::threadSafety::til::BasicBlock::TopologyNode::Parent.

Referenced by clang::threadSafety::til::SCFG::computeNormalForm().

## ◆ computeNodeSize()

static void computeNodeSize | ( | BasicBlock * | B,
|  | BasicBlock::TopologyNode BasicBlock::* | TN
| ) |  |
| inline static

Definition at line 266 of file ThreadSafetyTIL.cpp.

References clang::threadSafety::til::BasicBlock::TopologyNode::NodeID, P, clang::threadSafety::til::BasicBlock::TopologyNode::Parent, and clang::threadSafety::til::BasicBlock::TopologyNode::SizeOfSubTree.

Referenced by clang::threadSafety::til::SCFG::computeNormalForm().